import { jsx, jsxs } from 'react/jsx-runtime';
import styled from 'styled-components';

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
}

var BundlePrice = function (_a) {
    var price = _a.price, _b = _a.currency, currency = _b === void 0 ? "USD" : _b;
    var StyledBundlePrice = styled.div(templateObject_1$2 || (templateObject_1$2 = __makeTemplateObject(["\n    align-items: center;\n    background-position: 50%;\n    border-radius: 18px;\n    bottom: 12px;\n    display: flex;\n    height: 40px;\n    justify-content: center;\n    left: 50%;\n    position: absolute;\n    -webkit-transform: translateX(-50%);\n    transform: translateX(-50%);\n    background: url(\"https://shop.appcharge.com/assets/images/green_button.png\");\n    width: 120px;\n    z-index: 2;\n    background-size: cover;\n  "], ["\n    align-items: center;\n    background-position: 50%;\n    border-radius: 18px;\n    bottom: 12px;\n    display: flex;\n    height: 40px;\n    justify-content: center;\n    left: 50%;\n    position: absolute;\n    -webkit-transform: translateX(-50%);\n    transform: translateX(-50%);\n    background: url(\"https://shop.appcharge.com/assets/images/green_button.png\");\n    width: 120px;\n    z-index: 2;\n    background-size: cover;\n  "])));
    return (jsx(StyledBundlePrice, { children: new Intl.NumberFormat("en-US", {
            style: "currency",
            currency: currency,
        })
            .format(price)
            .replace(/\D00(?=\D*$)/, "") }));
};
var templateObject_1$2;

function BundleProduct(_a) {
    var img = _a.img, color = _a.color, amount = _a.amount;
    var transformAmount = function (amount) {
        if (amount > 10000) {
            return amount / 100 + "K";
        }
        return amount.toString();
    };
    var StyledProduct = styled.div(templateObject_1$1 || (templateObject_1$1 = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    gap: 0.25em;\n    img {\n      width: 60px;\n    }\n  "], ["\n    display: flex;\n    flex-direction: column;\n    justify-content: center;\n    align-items: center;\n    gap: 0.25em;\n    img {\n      width: 60px;\n    }\n  "])));
    var StyledProductText = styled.span(templateObject_2$1 || (templateObject_2$1 = __makeTemplateObject(["\n    font-size: 22px;\n    color: ", ";\n    font-weight: bold;\n    text-shadow: 1px 1px 3px #693510, -1px -1px 3px #693510,\n      1px -1px 3px #693510, -1px 1px 3px #693510;\n  "], ["\n    font-size: 22px;\n    color: ", ";\n    font-weight: bold;\n    text-shadow: 1px 1px 3px #693510, -1px -1px 3px #693510,\n      1px -1px 3px #693510, -1px 1px 3px #693510;\n  "])), color);
    return (jsxs(StyledProduct, { children: [jsx("img", { src: img, alt: '' }), jsx(StyledProductText, { children: transformAmount(amount) })] }));
}
var templateObject_1$1, templateObject_2$1;

var Global = function (_a) {
    var children = _a.children;
    return jsx("div", __assign({ className: 'global' }, { children: children }));
};

function Bundle(_a) {
    var _b = _a.width, width = _b === void 0 ? 420 : _b, _c = _a.height, height = _c === void 0 ? 215 : _c; _a.backgroundColor; var backgroundSrc = _a.backgroundSrc;
    var StyledBundle = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    display: flex;\n    justify-content: center;\n    align-items: flex-start;\n    width: ", "px;\n    height: ", "px;\n    position: relative;\n    border-radius: 20px;\n    padding: 0.25em;\n    background: linear-gradient(\n      135deg,\n      #fff35f 0%,\n      #f58d07 50%,\n      #d5670c 100%\n    ); ;\n  "], ["\n    display: flex;\n    justify-content: center;\n    align-items: flex-start;\n    width: ", "px;\n    height: ", "px;\n    position: relative;\n    border-radius: 20px;\n    padding: 0.25em;\n    background: linear-gradient(\n      135deg,\n      #fff35f 0%,\n      #f58d07 50%,\n      #d5670c 100%\n    ); ;\n  "])), width, height);
    var StyledContainer = styled.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    height: calc(100% - 20px);\n    width: 100%;\n    border-radius: 15px;\n    background: ", ";\n    background-size: cover;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n  "], ["\n    height: calc(100% - 20px);\n    width: 100%;\n    border-radius: 15px;\n    background: ", ";\n    background-size: cover;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n  "])), backgroundSrc
        ? "url(\"".concat(backgroundSrc, "\")")
        : "linear-gradient(180deg, #1f3673 0%, #0b1031 100%)");
    var StyledProducts = styled.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n    display: flex;\n    flex-direction: row;\n    gap: 1em;\n  "], ["\n    display: flex;\n    flex-direction: row;\n    gap: 1em;\n  "])));
    return (jsx(Global, { children: jsx(StyledBundle, { children: jsxs(StyledContainer, { children: [jsxs(StyledProducts, { children: [jsx(BundleProduct, { color: '#ffabff', img: 'https://animal-kingdom-media.s3.amazonaws.com/asset-2.png?a=a', amount: 80 }), jsx(BundleProduct, { color: '#ffe060', img: 'https://animal-kingdom-media.s3.amazonaws.com/asset-3.png?a=a', amount: 50000 }), jsx(BundleProduct, { color: '#60d9ff', img: 'https://animal-kingdom-media.s3.amazonaws.com/asset.png?a=a', amount: 100 })] }), jsx(BundlePrice, { price: 100 })] }) }) }));
}
var templateObject_1, templateObject_2, templateObject_3;

export { Bundle };
//# sourceMappingURL=index.esm.js.map
