import { Meta, Story } from "@storybook/react";
import Bundle from ".";

export default {
  title: "Components/User Interface/Bundle",
  component: Bundle,
  argTypes: {
    width: {
      defaultValue: 420,
      description: "Bundle width",
      control: {
        type: "range",
        min: 320,
        max: 500,
      },
    },
    height: {
      defaultValue: 180,
      description: "Bundle height",
      control: {
        type: "range",
        min: 120,
        max: 320,
      },
    },
  },
} as Meta;

const Template: Story = (args) => <Bundle width={100} height={100} {...args} />;

export const Primary = Template.bind({});
Primary.args = {
  backgroundSrc: "https://animal-kingdom-media.s3.amazonaws.com/BG-3.webp?a=a",
};
