import styled from "styled-components";
import { BundlePriceProps } from "./types";

const BundlePrice = ({ price, currency = "USD" }: BundlePriceProps) => {
  const StyledBundlePrice = styled.div`
    align-items: center;
    background-position: 50%;
    border-radius: 18px;
    bottom: 12px;
    display: flex;
    height: 40px;
    justify-content: center;
    left: 50%;
    position: absolute;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    background: url("https://shop.appcharge.com/assets/images/green_button.png");
    width: 120px;
    z-index: 2;
    background-size: cover;
  `;

  return (
    <StyledBundlePrice>
      {new Intl.NumberFormat("en-US", {
        style: "currency",
        currency,
      })
        .format(price)
        .replace(/\D00(?=\D*$)/, "")}
    </StyledBundlePrice>
  );
};

export default BundlePrice;
