import styled from "styled-components";
import { BundleItemProps } from "./types";

function BundleProduct({ img, color, amount }: BundleItemProps) {
  const transformAmount = (amount: number): string => {
    if (amount > 10000) {
      return amount / 100 + "K";
    }
    return amount.toString();
  };

  const StyledProduct = styled.div`
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.25em;
    img {
      width: 60px;
    }
  `;

  const StyledProductText = styled.span`
    font-size: 22px;
    color: ${color};
    font-weight: bold;
    text-shadow: 1px 1px 3px #693510, -1px -1px 3px #693510,
      1px -1px 3px #693510, -1px 1px 3px #693510;
  `;

  return (
    <StyledProduct>
      <img src={img} alt='' />
      <StyledProductText>{transformAmount(amount)}</StyledProductText>
    </StyledProduct>
  );
}

export default BundleProduct;
